Install Cuda toolkit 17.04 on Ubuntu 17.10

Hello,

I work with Ubuntu 17.10 because my machine is not compatible with the previous Ubuntu versions. I experienced trouble when trying to install Cuda toolkit 17.04 on my Ubuntu 17.10. Are those two compatible? Or aren’t they, in which case it is not surprising that I experienced troubles?

Thank you in advance,

Eliott

17.10 is not officially supported by CUDA 9. It’s possible that you may have trouble trying to install/use CUDA 9 on Ubuntu 17.10.

The supported environments for CUDA 9 on linux are listed in the CUDA 9 linux install guide:

http://docs.nvidia.com/cuda/cuda-installation-guide-linux/index.html#system-requirements

Thanks for your quick reply!

Thanks for your quick reply!